Company
Get details of a specific company by ID.
falseExample: false200Example: 200GET /api/v1/dashboard/company/{company_id}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"company_user_name": "text",
"company_user_email": "text",
"district_name": "text",
"name": "text",
"logo": "text",
"description": "text",
"short_pitch": "text",
"industry_sector": "text",
"website_link": "text",
"email": "text",
"slug": "text",
"status": "text",
"location": "text",
"legal_name": "text",
"registration_number": "text",
"tax_id": "text",
"company_size": "text",
"linkedin_url": "text",
"verification_document_url": "text",
"verification_requested_at": "2026-01-01T00:00:00.000Z",
"verified_at": "2026-01-01T00:00:00.000Z",
"verified_by": "text",
"rejection_reason": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"deleted_at": "2026-01-01T00:00:00.000Z",
"updated_by": "text",
"deleted_by": "text",
"founded_year": 1,
"remote_policy": "text",
"culture_text": "text",
"tech_stack": null,
"perks": null,
"testimonials": null,
"gallery": null,
"company_user": "text",
"district": "text",
"state": "text",
"country": "text"
}
}Retrieve analytics data for company gigs (creator or approved company mentor).
falseExample: false200Example: 200GET /api/v1/dashboard/company/analytics/gigs/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"total_gigs_posted": 1,
"active_gigs": 1,
"closed_gigs": 1,
"average_hourly_rate": 1,
"application_funnel": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"conversion_rate": "text"
}
}Resubmit a rejected job application.
No response body
No content
PATCH /api/v1/dashboard/company/applications/{app_id}/resubmit/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 44
{
"resume_link": "text",
"cover_letter": "text"
}No response body
No content
Update the status of a job application (creator or company mentor).
falseExample: false200Example: 200PATCH /api/v1/dashboard/company/applications/{app_id}/status/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 43
{
"status": "text",
"rejection_reason": "text"
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"job": "text",
"applicant_name": "text",
"applicant_email": "text",
"resume_link": "text",
"cover_letter": "text",
"status": "text",
"rejection_reason": "text",
"applied_at": "2026-01-01T00:00:00.000Z"
}
}Withdraw a submitted job application.
No response body
No content
DELETE /api/v1/dashboard/company/applications/{app_id}/withdraw/ HTTP/1.1
Accept: */*
No response body
No content
List all jobs the user has applied to.
falseExample: false200Example: 200GET /api/v1/dashboard/company/applications/me/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"job": {
"id": "text",
"company_name": "text",
"company_logo": "text",
"title": "text",
"experience": "text",
"job_description": "text",
"location": "text",
"salary_range": "text",
"job_type": "text",
"status": "text",
"duration_value": 1,
"duration_unit": "text",
"hourly_rate": "text",
"deliverables": null,
"stipend": "text",
"certificate_provided": "text",
"rules": [
{
"id": "text",
"rule_type": "text",
"rule_value": "text"
}
],
"created_at": "2026-01-01T00:00:00.000Z"
},
"resume_link": "text",
"cover_letter": "text",
"status": "text",
"rejection_reason": "text",
"applied_at": "2026-01-01T00:00:00.000Z"
}
]
}Retrieve dashboard summary statistics for the active company.
No response body
No content
GET /api/v1/dashboard/company/home-summary/ HTTP/1.1
Accept: */*
No response body
No content
List all jobs for the authenticated company (creator or company mentor).
falseExample: false200Example: 200GET /api/v1/dashboard/company/jobs/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"company_name": "text",
"company_logo": "text",
"title": "text",
"experience": "text",
"job_description": "text",
"location": "text",
"salary_range": "text",
"job_type": "text",
"status": "text",
"duration_value": 1,
"duration_unit": "text",
"hourly_rate": "text",
"deliverables": null,
"stipend": "text",
"certificate_provided": "text",
"rules": [
{
"id": "text",
"rule_type": "text",
"rule_value": "text"
}
],
"created_at": "2026-01-01T00:00:00.000Z"
}
]
}Post a new job/gig. Jobs are always created with status='Draft' regardless of any status value sent in the request body. Use PATCH /jobs/{job_id}/ to change the status to 'Active' (or any other value) after creation.
^-?\d{0,8}(?:\.\d{0,2})?$falseExample: false200Example: 200POST /api/v1/dashboard/company/jobs/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 300
{
"title": "text",
"experience": "text",
"job_description": "text",
"location": "text",
"salary_range": "text",
"job_type": "text",
"duration_value": 1,
"duration_unit": "text",
"hourly_rate": "text",
"deliverables": null,
"stipend": "text",
"certificate_provided": "text",
"rules": [
{
"rule_type": "text",
"rule_value": "text"
}
]
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"experience": "text",
"job_description": "text",
"location": "text",
"salary_range": "text",
"job_type": "text",
"duration_value": 1,
"duration_unit": "text",
"hourly_rate": "text",
"deliverables": null,
"stipend": "text",
"certificate_provided": "text",
"rules": [
{
"id": "text",
"rule_type": "text",
"rule_value": "text"
}
]
}
}Retrieve details of a specific job.
falseExample: false200Example: 200GET /api/v1/dashboard/company/jobs/{job_id}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"company_name": "text",
"company_logo": "text",
"title": "text",
"experience": "text",
"job_description": "text",
"location": "text",
"salary_range": "text",
"job_type": "text",
"status": "text",
"duration_value": 1,
"duration_unit": "text",
"hourly_rate": "text",
"deliverables": null,
"stipend": "text",
"certificate_provided": "text",
"rules": [
{
"id": "text",
"rule_type": "text",
"rule_value": "text"
}
],
"created_at": "2026-01-01T00:00:00.000Z"
}
}Delete a specific job.
No response body
No content
DELETE /api/v1/dashboard/company/jobs/{job_id}/ HTTP/1.1
Accept: */*
No response body
No content
Update a specific job.
^-?\d{0,8}(?:\.\d{0,2})?$falseExample: false200Example: 200PATCH /api/v1/dashboard/company/jobs/{job_id}/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 316
{
"title": "text",
"experience": "text",
"job_description": "text",
"location": "text",
"salary_range": "text",
"job_type": "text",
"status": "text",
"duration_value": 1,
"duration_unit": "text",
"hourly_rate": "text",
"deliverables": null,
"stipend": "text",
"certificate_provided": "text",
"rules": [
{
"rule_type": "text",
"rule_value": "text"
}
]
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"title": "text",
"experience": "text",
"job_description": "text",
"location": "text",
"salary_range": "text",
"job_type": "text",
"status": "text",
"duration_value": 1,
"duration_unit": "text",
"hourly_rate": "text",
"deliverables": null,
"stipend": "text",
"certificate_provided": "text",
"rules": [
{
"id": "text",
"rule_type": "text",
"rule_value": "text"
}
]
}
}Fetches detailed view, application, and hired statistics for a specific job posting.
No response body
No content
GET /api/v1/dashboard/company/jobs/{job_id}/analytics/ HTTP/1.1
Accept: */*
No response body
No content
List all applications for a specific job (creator or company mentor).
falseExample: false200Example: 200GET /api/v1/dashboard/company/jobs/{job_id}/applications/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"job": "text",
"applicant_name": "text",
"applicant_email": "text",
"resume_link": "text",
"cover_letter": "text",
"status": "text",
"rejection_reason": "text",
"applied_at": "2026-01-01T00:00:00.000Z"
}
]
}Apply to a job.
No response body
No content
POST /api/v1/dashboard/company/jobs/{job_id}/applications/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 57
{
"job": "text",
"resume_link": "text",
"cover_letter": "text"
}No response body
No content
List all applications for a specific job (creator or company mentor).
falseExample: false200Example: 200GET /api/v1/dashboard/company/jobs/{job_id}/apply/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"job": "text",
"applicant_name": "text",
"applicant_email": "text",
"resume_link": "text",
"cover_letter": "text",
"status": "text",
"rejection_reason": "text",
"applied_at": "2026-01-01T00:00:00.000Z"
}
]
}Apply to a job.
No response body
No content
POST /api/v1/dashboard/company/jobs/{job_id}/apply/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 57
{
"job": "text",
"resume_link": "text",
"cover_letter": "text"
}No response body
No content
Increment the view count for a specific job listing.
No response body
No content
POST /api/v1/dashboard/company/jobs/{job_id}/view/ HTTP/1.1
Accept: */*
No response body
No content
Public endpoint to list all active jobs.
falseExample: false200Example: 200GET /api/v1/dashboard/company/jobs/all/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"company_name": "text",
"company_logo": "text",
"title": "text",
"experience": "text",
"job_description": "text",
"location": "text",
"salary_range": "text",
"job_type": "text",
"status": "text",
"duration_value": 1,
"duration_unit": "text",
"hourly_rate": "text",
"deliverables": null,
"stipend": "text",
"certificate_provided": "text",
"rules": [
{
"id": "text",
"rule_type": "text",
"rule_value": "text"
}
],
"created_at": "2026-01-01T00:00:00.000Z"
}
]
}List all companies with filtering.
Filter by country UUID
Filter by district UUID
Filter by state UUID
falseExample: false200Example: 200GET /api/v1/dashboard/company/list/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"name": "text",
"slug": "text",
"status": "text",
"email": "text",
"company_user_id": "text",
"company_user_name": "text",
"industry_sector": "text",
"company_size": "text",
"location": "text",
"district_name": "text",
"state_name": "text",
"country_name": "text",
"verification_requested_at": "2026-01-01T00:00:00.000Z",
"verified_at": "2026-01-01T00:00:00.000Z"
}
]
}List all Company Mentor nominations for the authenticated company.
falseExample: false200Example: 200GET /api/v1/dashboard/company/mentor/list/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"user_id": "text",
"user_name": "text",
"user_email": "text",
"org_name": "text",
"mentor_tier": "IG_MENTOR",
"status": "PENDING",
"reason": "text",
"verification_note": "text",
"verified_at": "2026-01-01T00:00:00.000Z"
}
]
}Nominate a platform user as a Company Mentor for your company. Provide the user's muid (e.g. john-doe@mulearn). The user must already be a member of the company's organisation (i.e. they appear in UserOrganizationLink for this company). Only the verified company creator can nominate. The nomination enters PENDING state until an admin approves it.
Nominate an existing platform user as a Company Mentor for the company.
The nominated user is identified by their muid (e.g. john-doe@mulearn)
and must already be linked to the company's Organisation record.
MuID of the platform user to nominate (e.g. john-doe@mulearn).
Optional reason / note to pass with the nomination.
falseExample: false200Example: 200POST /api/v1/dashboard/company/mentor/nominate/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"muid": "text",
"reason": "text"
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"user_id": "text",
"user_name": "text",
"user_email": "text",
"org_name": "text",
"mentor_tier": "IG_MENTOR",
"status": "PENDING",
"reason": "text",
"verification_note": "text",
"verified_at": "2026-01-01T00:00:00.000Z"
}
}Directory of MuLearners available to companies (creator or company mentor).
falseExample: false200Example: 200GET /api/v1/dashboard/company/mulearners/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"full_name": "text",
"muid": "text",
"email": "name@gmail.com",
"karma": "text",
"level": "text",
"college": "text",
"department": "text",
"graduation_year": "text"
}
]
}Retrieve the profile of the authenticated company (creator or approved company mentor).
falseExample: false200Example: 200GET /api/v1/dashboard/company/profile/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"company_user_name": "text",
"company_user_email": "text",
"district_name": "text",
"name": "text",
"logo": "text",
"description": "text",
"short_pitch": "text",
"industry_sector": "text",
"website_link": "text",
"email": "text",
"slug": "text",
"status": "text",
"location": "text",
"legal_name": "text",
"registration_number": "text",
"tax_id": "text",
"company_size": "text",
"linkedin_url": "text",
"verification_document_url": "text",
"verification_requested_at": "2026-01-01T00:00:00.000Z",
"verified_at": "2026-01-01T00:00:00.000Z",
"verified_by": "text",
"rejection_reason": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"deleted_at": "2026-01-01T00:00:00.000Z",
"updated_by": "text",
"deleted_by": "text",
"founded_year": 1,
"remote_policy": "text",
"culture_text": "text",
"tech_stack": null,
"perks": null,
"testimonials": null,
"gallery": null,
"company_user": "text",
"district": "text",
"state": "text",
"country": "text"
}
}Update the profile of the authenticated company (creator or approved company mentor).
falseExample: false200Example: 200PATCH /api/v1/dashboard/company/profile/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 447
{
"name": "text",
"logo": "text",
"description": "text",
"short_pitch": "text",
"industry_sector": "text",
"website_link": "text",
"email": "text",
"location": "text",
"district_id": "text",
"state_id": "text",
"country_id": "text",
"legal_name": "text",
"registration_number": "text",
"tax_id": "text",
"company_size": "text",
"linkedin_url": "text",
"founded_year": 1,
"remote_policy": "text",
"culture_text": "text",
"tech_stack": null,
"perks": null,
"testimonials": null,
"gallery": null
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"name": "text",
"logo": "text",
"description": "text",
"short_pitch": "text",
"industry_sector": "text",
"website_link": "text",
"email": "text",
"location": "text",
"district_id": "text",
"state_id": "text",
"country_id": "text",
"legal_name": "text",
"registration_number": "text",
"tax_id": "text",
"company_size": "text",
"linkedin_url": "text",
"founded_year": 1,
"remote_policy": "text",
"culture_text": "text",
"tech_stack": null,
"perks": null,
"testimonials": null,
"gallery": null
}
}Public endpoint to view a company's profile.
falseExample: false200Example: 200GET /api/v1/dashboard/company/profile/public/{slug}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"name": "text",
"slug": "text",
"logo": "text",
"description": "text",
"short_pitch": "text",
"industry_sector": "text",
"website_link": "text",
"email": "text",
"location": "text",
"district_name": "text",
"state_name": "text",
"country_name": "text",
"company_size": "text",
"linkedin_url": "text",
"founded_year": 1,
"remote_policy": "text",
"culture_text": "text",
"tech_stack": null,
"perks": null,
"testimonials": null,
"gallery": null
}
}Public endpoint to view all active jobs for a specific company.
falseExample: false200Example: 200GET /api/v1/dashboard/company/profile/public/{slug}/jobs/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"company_name": "text",
"company_logo": "text",
"title": "text",
"experience": "text",
"job_description": "text",
"location": "text",
"salary_range": "text",
"job_type": "text",
"status": "text",
"duration_value": 1,
"duration_unit": "text",
"hourly_rate": "text",
"deliverables": null,
"stipend": "text",
"certificate_provided": "text",
"rules": [
{
"id": "text",
"rule_type": "text",
"rule_value": "text"
}
],
"created_at": "2026-01-01T00:00:00.000Z"
}
]
}Submit a new company registration.
falseExample: false200Example: 200POST /api/v1/dashboard/company/register/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 447
{
"name": "text",
"logo": "text",
"description": "text",
"short_pitch": "text",
"industry_sector": "text",
"website_link": "text",
"email": "text",
"location": "text",
"district_id": "text",
"state_id": "text",
"country_id": "text",
"legal_name": "text",
"registration_number": "text",
"tax_id": "text",
"company_size": "text",
"linkedin_url": "text",
"founded_year": 1,
"remote_policy": "text",
"culture_text": "text",
"tech_stack": null,
"perks": null,
"testimonials": null,
"gallery": null
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"name": "text",
"logo": "text",
"description": "text",
"short_pitch": "text",
"industry_sector": "text",
"website_link": "text",
"email": "text",
"location": "text",
"district_id": "text",
"state_id": "text",
"country_id": "text",
"legal_name": "text",
"registration_number": "text",
"tax_id": "text",
"company_size": "text",
"linkedin_url": "text",
"founded_year": 1,
"remote_policy": "text",
"culture_text": "text",
"tech_stack": null,
"perks": null,
"testimonials": null,
"gallery": null
}
}Update or resubmit a pending/rejected company registration.
falseExample: false200Example: 200PATCH /api/v1/dashboard/company/register/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 447
{
"name": "text",
"logo": "text",
"description": "text",
"short_pitch": "text",
"industry_sector": "text",
"website_link": "text",
"email": "text",
"location": "text",
"district_id": "text",
"state_id": "text",
"country_id": "text",
"legal_name": "text",
"registration_number": "text",
"tax_id": "text",
"company_size": "text",
"linkedin_url": "text",
"founded_year": 1,
"remote_policy": "text",
"culture_text": "text",
"tech_stack": null,
"perks": null,
"testimonials": null,
"gallery": null
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"name": "text",
"logo": "text",
"description": "text",
"short_pitch": "text",
"industry_sector": "text",
"website_link": "text",
"email": "text",
"location": "text",
"district_id": "text",
"state_id": "text",
"country_id": "text",
"legal_name": "text",
"registration_number": "text",
"tax_id": "text",
"company_size": "text",
"linkedin_url": "text",
"founded_year": 1,
"remote_policy": "text",
"culture_text": "text",
"tech_stack": null,
"perks": null,
"testimonials": null,
"gallery": null
}
}Check the status of a company registration.
No response body
No content
GET /api/v1/dashboard/company/status/ HTTP/1.1
Accept: */*
No response body
No content
Get summary stats for companies for the admin dashboard.
No response body
No content
GET /api/v1/dashboard/company/summary/ HTTP/1.1
Accept: */*
No response body
No content
Retrieve analytics data for the talent pool.
No response body
No content
GET /api/v1/dashboard/company/talent-pool/analytics/ HTTP/1.1
Accept: */*
No response body
No content
List all tasks submitted by the authenticated company user (creator or company mentor). Supports pagination, search, and sort.
Filter by approval_status: pending | approved | rejected
falseExample: false200Example: 200GET /api/v1/dashboard/company/tasks/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"data": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"pagination": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}Create a new task for the company. The task is saved with approval_status='pending' and active=False until an admin approves it. Accepts an optional skill_ids list.
Serializer for company task creation. Similar to mentor task creation but IG is optional and no IG validation. Locked fields (active, approval_status, requested_by, requested_at) are injected by the view via serializer.save(**overrides).
Task submitted for approval.
No content
POST /api/v1/dashboard/company/tasks/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 149
{
"hashtag": "text",
"title": "text",
"karma": 1,
"usage_count": 1,
"description": "text",
"type": "text",
"level": "text",
"created_by": "text",
"updated_by": "text"
}Task submitted for approval.
No content
Retrieve the detail of a specific task submitted by the company.
falseExample: false200Example: 200GET /api/v1/dashboard/company/tasks/{task_id}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"hashtag": "text",
"discord_link": "text",
"title": "text",
"description": "text",
"karma": 1,
"channel": "text",
"type": "text",
"active": true,
"variable_karma": true,
"usage_count": 1,
"level": "text",
"org": "text",
"ig": "text",
"event": "text",
"bonus_karma": 1,
"bonus_time": "2026-01-01T00:00:00.000Z",
"approval_status": "approved",
"rejection_reason": "text",
"reviewed_at": "2026-01-01T00:00:00.000Z",
"requested_by_name": "text",
"requested_at": "2026-01-01T00:00:00.000Z",
"skills": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Update a task submitted by the company. Regardless of the current approval_status, the task reverts to 'pending' and active=False after editing.
Partial update serializer — same writable fields as create except created_by.
Task updated and re-submitted for approval.
No content
PUT /api/v1/dashboard/company/tasks/{task_id}/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 129
{
"hashtag": "text",
"title": "text",
"karma": 1,
"usage_count": 1,
"description": "text",
"type": "text",
"level": "text",
"updated_by": "text"
}Task updated and re-submitted for approval.
No content
Soft-delete a task submitted by the company by marking it inactive.
Task deleted successfully.
No content
DELETE /api/v1/dashboard/company/tasks/{task_id}/ HTTP/1.1
Accept: */*
Task deleted successfully.
No content
Update a task submitted by the company (partial update). Regardless of the current approval_status, the task reverts to pending and active=False.
Validates the payload when a company updates an existing task. All fields are optional to support partial updates.
List of active Skill UUIDs to link to this task.
falseExample: false200Example: 200PATCH /api/v1/dashboard/company/tasks/{task_id}/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 155
{
"title": "text",
"hashtag": "text",
"description": "text",
"karma": 1,
"ig_id": "text",
"type_id": "text",
"channel_id": "text",
"level_id": "text",
"skill_ids": [
"text"
]
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"hashtag": "text",
"discord_link": "text",
"title": "text",
"description": "text",
"karma": 1,
"channel": "text",
"type": "text",
"active": true,
"variable_karma": true,
"usage_count": 1,
"level": "text",
"org": "text",
"ig": "text",
"event": "text",
"bonus_karma": 1,
"bonus_time": "2026-01-01T00:00:00.000Z",
"approval_status": "approved",
"rejection_reason": "text",
"reviewed_at": "2026-01-01T00:00:00.000Z",
"requested_by_name": "text",
"requested_at": "2026-01-01T00:00:00.000Z",
"skills": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Verify or reject a company.
verified- verifiedrejected- rejected
No response body
No content
PATCH /api/v1/dashboard/company/verify/{company_id}/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"status": "verified",
"rejection_reason": "text"
}No response body
No content
Last updated
Was this helpful?

